* {
  box-sizing: border-box;
}

body {
  background-image: url(wallpapers.png);
  background-size: cover;
  background-attachment: fixed;
  font-family: Arial, Helvetica, sans-serif;
  margin: 0 auto;
  padding: 0 0;
}

.header {
  background: url(zimejumsheader.png);
  background-size: cover;
  background-attachment: fixed;
  width: 100%;
  height: 70vh;
  margin-top: 0%;
  text-align: center;
  display: flex;
  align-items: center;
}

.header h2 {
  color: rgb(255, 255, 255);
  font-size: 6vh;
}

.header h1 {
  color: rgb(0, 0, 0);
  background-color: rgb(255, 255, 255, 0.9);
  font-size: 6em;
  text-transform: uppercase;
  border-radius: 10px;
  max-width: 100%;
  align-items: center;
  justify-content: center;
}

.container1 {
  margin: 0 auto;
  max-width: 100vh;
  padding: 0 10px;
}

.buttons {
  background-color: black;
  display: inline-block;
}
.buttons {
  background-color: rgb(0, 0, 0);
  height: 80px;
  width: 100%;
  text-align: center;
}

.buttons ul {
  height: 80px;
  list-style: none;
  margin: 0 auto;
  padding: 0;
  text-align: center;
  font-weight: bold;
}

.buttons ul li {
  color: rgb(255, 255, 255);
  display: inline-block;
  height: 80px;
  line-height: 80px;
  list-style: none;
  padding: 0 10px;
  text-align: center;
}

a {
  color: rgb(255, 255, 255);
  text-decoration: none;
}

.introduction {
  display: flex;
  margin-top: 5%;
  padding-right: 25px;
  padding-left: 25px;
  padding-bottom: 25px;
}

.introduction h1 {
  margin-left: 25%;
  font-size: 60px;
  color: rgb(0, 0, 0);
}

.introduction p {
  margin-left: 25%;
  font-size: 25px;
  background-color: rgb(255, 255, 255);
  border-radius: 10px;
  padding: 10px;
}

.introduction img {
  width: 100%;
  border-radius: 20px;
}

.quote {
  font-size: 6vh;
  text-align: center;
  font-weight: bolder;
  font-style: italic;
  padding: 15px;
  border: 5px solid black;
  border-radius: 25px;
  margin-left: 25%;
  margin-right: 25%;
  margin-top: 10%;
  max-width: 60%;
  display: flex;
}

.author {
  font-size: 3vh;
  text-align: center;
  font-style: italic;
  margin-bottom: 30px;
  color: rgb(0, 0, 0);
}

a:hover {
  font-size: 2em;
  transition: all 0.5s ease;
}

@media only screen and (max-width: 1000px) {
  .introduction {
    flex-direction: column;
  }
}
@media (max-width: 768px) {
  .container {
    flex-direction: column; /* image above text */
    text-align: center;
  }
  .container1 {
    font-size: clamp(0.6rem, 0.1vw, 0.1rem);
  }
}

.container {
  display: flex; /* Places items side by side */
  align-items: center; /* Vertically aligns image and text */
  justify-content: center;
  border-style: ridge;
  border-color: rgb(0, 0, 0);
  border-radius: 30px;
  background-color: rgba(213, 213, 213, 0.7);
  border-width: 10px;
  width: 70%;
  height: 40%;
  margin: 5% auto; /* Centers the div horizontally */

  gap: 5%; /* Space between image and text */
  padding: 20px;
}

.container img {
  width: 40%;
  height: 100%;
  border-radius: 15px;
}

.text {
  flex: 1;
}

.container h2 {
  color: rgb(0, 0, 0);
  margin: 10px;
  border-radius: 15px;
  font-size: 3em;
  font-weight: bolder;
}

.container h3 {
  font-size: 3vh;
}

@media (max-width: 768px) {
  .container {
    flex-direction: column; /* image above text */
    text-align: center;
    display: block;
  }
  .quote {
    flex-direction: column; /* image above text */
    text-align: center;
    display: block;
  }
}

.buttons ul {
  background: linear-gradient(90deg, #00ffff, #2392c2, #7272d4);

  background-size: 300% 100%;

  -webkit-background-clip: text;
  -webkit-text-fill-color: transparent;
  background-clip: text;

  animation: gradientMove 5s linear infinite;
}

@keyframes gradientMove {
  0% {
    background-position: 0% 50%;
  }
  100% {
    background-position: 300% 50%;
  }
}

.container2 {
  display: flex; /* Places items side by side */
  align-items: center; /* Vertically aligns image and text */
  justify-content: center;
  border-color: rgb(0, 0, 0);
  border-radius: 30px;
  border-width: 3px;
  border-style: solid;
  width: 70%;
  height: 40%;
  margin: 5% auto; /* Centers the div horizontally */
  gap: 5%; /* Space between image and text */
  padding: 20px;
  p {
    font-size: 7vh;
    font-weight: bold;
    font-style: italic;
    text-align: center;
  }
}
